RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
stringdist.h File Reference

Functions for String Alignment. More...

Include dependency graph for stringdist.h:

Go to the source code of this file.

## Functions
swString * | Make_swString (char *string)
| Convert a structure into a format suitable for string_edit_distance(). More...
float | string_edit_distance (swString *T1, swString *T2)
| Calculate the string edit distance of T1 and T2. More...

## Detailed Description

Functions for String Alignment.

## Function Documentation

swString* Make_swString | ( | char * | string | ) |

Convert a structure into a format suitable for string_edit_distance().

Parameters

  string |

Returns

float string_edit_distance | ( | swString * | T1,
|  | swString * | T2
| ) |  |

Calculate the string edit distance of T1 and T2.

Parameters

  T1 |
  T2 |

Returns